Summary: A graphics library for quick creation of PNG or JPEG images.
Name: gd184
Version: 1.8.4
Release: 12.3.1.ker.rhel3
URL: http://www.boutell.com/gd/
Source0: http://www.boutell.com/gd/http/gd-%{version}.tar.gz
Patch0: gd-1.8.4-redhat.patch
Patch1: gd-1.8.4-security.patch
License: BSD-style
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
Prereq: /sbin/ldconfig
BuildPrereq: freetype-devel, libjpeg-devel, libpng-devel, zlib-devel
%define shlibver %(echo %{version} | cut -f-2 -d.)
Conflicts: gd <= %{version}

%description
The gd graphics library allows your code to quickly draw images
complete with lines, arcs, text, multiple colors, cut and paste from
other images, and flood fills, and to write out the result as a PNG or
JPEG file. This is particularly useful in Web applications, where PNG
and JPEG are two of the formats accepted for inline images by most
browsers. Note that gd is not a paint program.

%prep
%setup -q -n gd-%{version}
%patch0 -p1 -b .redhat
%patch1 -p1 -b .security

%build
make
gcc -shared -o libgd.so.%{version} -Wl,-soname=libgd.so.%{shlibver} \
	`ar t libgd.a` -L/usr/X11R6/lib -lfreetype -ljpeg -lpng -lz -lm

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_includedir},%{_libdir}}
make install \
	INSTALL_BIN=$RPM_BUILD_ROOT%{_bindir} \
	INSTALL_INCLUDE=$RPM_BUILD_ROOT%{_includedir} \
	INSTALL_LIB=$RPM_BUILD_ROOT%{_libdir}
install -m 755 libgd.so.%{version} $RPM_BUILD_ROOT%{_libdir}/
ln -s libgd.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libgd.so
ln -s libgd.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libgd.so.1
ln -s libgd.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libgd.so.1.8

# remove unneded files from -progs and -devel package
rm -rf $RPM_BUILD_ROOT%{_includedir} $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_libdir}/libgd.a

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc readme.txt index.html
%{_libdir}/*.so.*

%changelog
* Mon Dec 20 2004 Milan Kerslager <kerslage@linux.cz> 1.8.4-12.3.1.ker.rhel3
- rebuild with renamed package (gd184 for backward compatibility)

* Wed Nov 03 2004 Phil Knirsch <pknirsch@redhat.com> 1.8.4-12.3.1
- Backport of fix for several buffer overflows in gdMalloc() calls

* Tue Jun 17 2003 Phil Knirsch <pknirsch@redhat.com> 1.8.4-12
- rebuilt
